#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream f1("dnton.inp");
    long n;
    f1>>n;
    f1.close();
    int dem=0,k=0;
    ofstream f2("dnton.out");
    for(int j=2;j<=n;j++){
    for(int i=1;i<=(int)(sqrt(j));i++){
            if(j%i==0){
                dem=dem+1;
            }
    }
    if(dem==1){
        f2<<j<<endl;
    }
    }
    f2.close();
    return 0;
}
